import * as $dara from '@darabonba/typescript';
import { AuthorizeSecurityGroupResponseBody } from "./AuthorizeSecurityGroupResponseBody";
export declare class AuthorizeSecurityGroupResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AuthorizeSecurityGroupResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
